Support » Plugin: Mailgun for WordPress » Suggest setting default region when upgrading to 1.5.12

  • Resolved mikehealy

    (@mikehealy)


    With the latest version supporting US/EUR regions I noticed that mail delivery stopped working after upgrading until I explicitly went into settings and set my region.

    Users who upgrade the plugin without testing their email delivery mightn’t notice that email delivery has stopped. If possible I’d suggest setting a default region until the user makes an explicit selection. Or at the very least highlighting the need to set the region in the release notes.

    Thanks for the plugin.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Mailgun

    (@mailgun)

    Mike,
    A fix has been committed – 1.5.12.1.
    We are working to resolve the issue with this latest update not showing in the WordPress repository.

    [ Signature deleted ]

    • This reply was modified 1 year, 4 months ago by Mailgun.
    • This reply was modified 1 year, 4 months ago by Jan Dembowski.

    Very fast work — thanks

    Plugin Author Mailgun

    (@mailgun)

    Mike,
    You should see an update in WP to 1.5.12.1 that defaults to the U.S. region endpoint.

    [ Signature deleted ]

    A quick fix for all WP-CLI users. Run the following command on every site running any version of Mailgun: wp option patch insert mailgun region us. I just finished deploying to 50+ sites. If the region is set WP-CLI will simply say Success: Value passed for 'mailgun' option is unchanged. otherwise it will add it.

    Plugin Author Mailgun

    (@mailgun)

    Release 1.5.12.3 out today. Refinement to the regions addition.

    [ Signature deleted ]

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    Mailgun, Thanks for the great support but please lose the signature. That’s prohibited in these forums as it’s been horribly abused in the past by others.

    Yes, bad people ruin it for others. Please refrain from that.

    https://wordpress.org/support/guidelines/#avoid-signatures

    To everyone else who is not the original poster and is chiming in without helping, If you need support then per the forum guidelines please start your own topic.

    https://wordpress.org/support/guidelines/#post-in-the-best-place

    You can do so here.

    https://wordpress.org/support/plugin/mailgun/#new-post

    Those other replies have been archived.

    I had a site that suffered from this problem and despite upgrading my default region got set to EU when I only had a domain set in the US, so everything silently failed.

    Could it throw some sort of error in these situations so the site owner is aware of it? Better that than someone missing orders in their Woocommerce site – which is what happened in this instance.

    Thanks for all your work on this plugin though, it’s great!

    Cheers,

    Paul.

    • This reply was modified 1 year, 1 month ago by Paul Bunkham.
Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Suggest setting default region when upgrading to 1.5.12’ is closed to new replies.